HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of Swarms

(Deprecated) This API endpoint retrieves a list of swarms (clusters) associated to a customer, based on the query parameters provided. Each swarm in the returned list includes comprehensive details like cluster ID, cluster name, site ID, conductor information, IP addresses, and software version. The query parameters allow you to narrow down the results to swarms that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
clusterNameeq and in
siteIdeq and in
conductorDeviceNameeq and in
conductorSerialNumbereq and in
clusterIdeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.

Supported fields are clusterName, conductorDeviceName, conductorSerialNumber, and clusterId.

int64
0 to 1000
Defaults to 20

Denotes the maximum number of swarms returned in the response.

string

Specifies the pagination cursor for the next page of resources.

Minimum value: 1

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json